%define upstream_name    CPAN-Meta
%define upstream_version 2.110930

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Validate CPAN distribution metadata structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::YAML) >= 0.2.0
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(IO::Dir)
BuildRequires: perl(JSON::PP) >= 2.271.30
BuildRequires: perl(Parse::CPAN::Meta) >= 1.440.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Version::Requirements) >= 0.101.20
BuildRequires: perl(version) >= 0.820.0
BuildArch:  noarch

%description
Software distributions released to the CPAN include a _META.json_ or, for
older distributions, _META.yml_, which describes the distribution, its
contents, and the requirements for building and installing the
distribution. The data structure stored in the _META.json_ file is
described in the CPAN::Meta::Spec manpage.

CPAN::Meta provides a simple class to represent this distribution metadata
(or _distmeta_), along with some helpful methods for interrogating that
data.

The documentation below is only for the methods of the CPAN::Meta object.
For information on the meaning of individual fields, consult the spec.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Apr 03 2011 jquelin <jquelin> 2.110.930-1.mga1
+ Revision: 80038
- update to 2.110930

* Thu Mar 10 2011 jquelin <jquelin> 2.110.580-1.mga1
+ Revision: 67454
- update to 2.110580
- update to 2.110550
- rebuild
- update to 2.110440

* Sun Jan 23 2011 jquelin <jquelin> 2.102.400-1.mga1
+ Revision: 33597
- mageia rebuild
- imported package perl-CPAN-Meta

